image: node:18

before_script:
  - apt-get update
  - apt-get install -y gettext
  - node --version
  - npm --version
  - npm ci --force || npm install --force

stages:
  - pack
  - deploy

variables:
  NODE_OPTIONS: --max_old_space_size=4096

package:
  stage: pack
  script:
    - npm pack
  except:
    - tags
  artifacts:
    paths:
      - "*.tgz"

pages:
  stage: deploy
  script:
    - npm run make
    - cp -R src/tests/app/static public
  environment:
    name: Production
    url: https://tripetto.gitlab.io/runners/classic/
  artifacts:
    paths:
      - public
  only:
    - master
